=== modified file 'config.yaml'
--- config.yaml	2013-12-12 11:17:23 +0000
+++ config.yaml	2014-03-25 18:44:23 +0000
@@ -78,3 +78,8 @@
     description: |
       Key ID to import to the apt keyring to support use with arbitary source
       configuration from outside of Launchpad archives or PPA's.
+  use-syslog:
+    type: boolean
+    default: False
+    description: |
+      If set to True, supporting services will log to syslog.

=== modified file 'hooks/hooks.py'
--- hooks/hooks.py	2013-12-12 11:17:23 +0000
+++ hooks/hooks.py	2014-03-25 18:44:23 +0000
@@ -71,7 +71,8 @@
         'mon_hosts': ' '.join(mon_hosts),
         'fsid': get_fsid(),
         'version': ceph.get_ceph_version(),
-        'osd_journal_size': config('osd-journal-size')
+        'osd_journal_size': config('osd-journal-size'),
+        'use_syslog': str(config('use-syslog')).lower()
     }
     # Install ceph.conf as an alternative to support
     # co-existence with other charms that write this file

=== modified file 'revision'
--- revision	2013-12-12 11:17:23 +0000
+++ revision	2014-03-25 18:44:23 +0000
@@ -1,1 +1,1 @@
-14
+15
\ No newline at end of file

=== modified file 'templates/ceph.conf'
--- templates/ceph.conf	2013-12-12 11:17:23 +0000
+++ templates/ceph.conf	2014-03-25 18:44:23 +0000
@@ -9,6 +9,9 @@
  keyring = /etc/ceph/$cluster.$name.keyring
  mon host = {{ mon_hosts }}
  fsid = {{ fsid }}
+ log to syslog = {{ use_syslog }}
+ err to syslog = {{ use_syslog }}
+ clog to syslog = {{ use_syslog }}
 
 [mon]
  keyring = /var/lib/ceph/mon/$cluster-$id/keyring

